Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 46)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/ExperimentPropertiesPanel.mxml	(revision 48)
@@ -22,4 +22,7 @@
 			public function isFormValid() : Boolean
 			{
+				validateNetworkFile();
+				validateResourceFile();
+				validateWorkloadFile();
 				if (gridSchedulingPlugin.selectedItem.label == "(...)") return false;
 				if (localGridPlugin.selectedItem.label == "(...)") return false;
@@ -171,11 +174,10 @@
 				{
 					workloadFile.text = StringUtil.substring(map["readscenario.workloadfilename"], 16);
-					networkTopologyFile_changeHandler(null);
 				}
 				if (map.hasOwnProperty("resdesc"))
 				{
 					resourceDescriptionFile.text = StringUtil.substring(map["resdesc"], 16);
-					resourceDescriptionFile_changeHandler(null);
-				}
+				}
+				isFormValid();
 			}
 			
@@ -227,11 +229,11 @@
 
 
-			protected function resourceDescriptionFile_changeHandler(event:Event):void
-			{
+			protected function validateResourceFile():void
+			{
+				resourceMissingImage.visible = false;
 				for (var i : int = 0; i < parentApplication.gsSimStudioModel.resourcesFileLocationItemList.length; i++)
 				{
 					if (parentApplication.gsSimStudioModel.resourcesFileLocationItemList[i].fileName == resourceDescriptionFile.text)
 					{
-						resourceMissingImage.visible = false;
 						return;
 					}
@@ -241,9 +243,9 @@
 
 
-			protected function networkTopologyFile_changeHandler(event:Event):void
-			{
-				if (networkTopologyFile.text == null)
-				{
-					topologyMissingImage.visible = false;
+			protected function validateNetworkFile():void
+			{
+				topologyMissingImage.visible = false;
+				if (networkTopologyFile.text == null || !topologyCB.selected)
+				{
 					return;
 				}
@@ -252,5 +254,4 @@
 					if (parentApplication.gsSimStudioModel.topologiesFileLocationItemList[i].fileName == networkTopologyFile.text)
 					{
-						topologyMissingImage.visible = false;
 						return;
 					}
@@ -260,11 +261,11 @@
 
 
-			protected function workloadFile_changeHandler(event:Event):void
-			{
+			protected function validateWorkloadFile():void
+			{
+				workloadMissingImage.visible = false;
 				for (var i : int = 0; i < parentApplication.gsSimStudioModel.workloadFileLocationItemList.length; i++)
 				{
 					if (parentApplication.gsSimStudioModel.workloadFileLocationItemList[i].fileName == workloadFile.text)
 					{
-						workloadMissingImage.visible = false;
 						return;
 					}
@@ -376,6 +377,5 @@
 				<mx:HBox>
 					<mx:ComboBox id="workloadFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceWorkloadsFileList}" width="250"
-								 toolTip="{resourceManager.getString('ExperimentEditor', 'WorkloadTooltip')}" enabled="{!workloadSelectedCB.selected}"
-								 change="workloadFile_changeHandler(event)" dataChange="workloadFile_changeHandler(event)"/>
+								 toolTip="{resourceManager.getString('ExperimentEditor', 'WorkloadTooltip')}" enabled="{!workloadSelectedCB.selected}" />
 					<components:QuickTooltipImage height="16" width="16" id="workloadMissingImage" visible="false"
 												  source="assets/deleteButton.png"/>
@@ -395,6 +395,5 @@
 					<mx:ComboBox id="resourceDescriptionFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceResourcesFileList}" width="250"
 								 toolTip="{resourceManager.getString('ExperimentEditor', 'ResourceDescriptionTooltip')}"
-								 enabled="{!resourceSelectedCB.selected}" change="resourceDescriptionFile_changeHandler(event)"
-								 dataChange="resourceDescriptionFile_changeHandler(event)"/>
+								 enabled="{!resourceSelectedCB.selected}"/>
 					<components:QuickTooltipImage height="16" width="16" id="resourceMissingImage" visible="false"
 												  source="assets/deleteButton.png"/>
@@ -415,6 +414,5 @@
 					<mx:ComboBox id="networkTopologyFile" labelField="fileName" dataProvider="{parentApplication.experimentEditor.workspaceTopologiesFileList}" width="250"
 								 toolTip="{resourceManager.getString('ExperimentEditor', 'NetworkTopologyTooltip')}"
-								 enabled="{topologyCB.selected &amp;&amp; !topologySelectedCB.selected}"
-								 change="networkTopologyFile_changeHandler(event)" dataChange="networkTopologyFile_changeHandler(event)"/>
+								 enabled="{topologyCB.selected &amp;&amp; !topologySelectedCB.selected}" />
 					<components:QuickTooltipImage height="16" width="16" id="topologyMissingImage" visible="false"
 												  source="assets/deleteButton.png"/>
